Subject: Re: WG adoption poll for draft-asechoud-rtgwg-qos-model-07

From: "Chen, Helen" <[email-masked]>
Date: Fri, 1 Feb 2019 19:54:00 +0000

Hi Tom,

The authors envision the QoS draft to define models analogous to RFC 8022.  The goal of this draft is to define base models that are generic, with common structures that can accommodate different types of QoS policies.  As an example, the draft defines a particular type of QoS policy, diffserv policy, that augments the base models.  Similar to how routing protocol models such as ISIS augment ietf-routing.yang, other types of QoS policies, such as those for MPLS and Ethernet, are intended to be defined separately by augmenting the base models.

Thanks,
Helen

On 12/6/18, 2:15 PM, "Aseem Choudhary (asechoud)" <[email-masked]> wrote:

    On 12/6/18, 12:35 AM, "Aseem Choudhary (asechoud)" <[email-masked]> wrote:
    
        Thanks Tom, I will discuss these points with my co-authors.
        Let us know any other feedback you may have.
        
        Regards,
        Aseem
        
        On 12/5/18, 4:32 AM, "tom petch" <[email-masked]> wrote:
        
            Aseem
            
            On the references,  where you have an import, e.g.
                 import ietf-qos-classifier {       prefix classifier;     }
            you should say where this is to be found
            e.g.
              import ietf-network {    prefix "nw";
                reference  "RFC 8345: A YANG Data Model for Network Topologies";  }
            or
                 import ietf-qos-classifier {  prefix classifier;
                     reference "RFC XXXX: YANG Model for QoS";      }
            -- Note to RFC Editor please replace XXXX with the number assigned to
            this I-D
            
            On YANG description, I expect many, if not most, clauses to have a
            reference - see, for example, RFC8348 for a well-populated module.
            
            On YANG version, the current version is 1.1 and has been for over two
            years, so if you want the previous version for some reason, like using
            TLS1.0 instead of TLS1.3, then that needs justifying.
            
            On multiple modules, the more modules the more prefixes and the longer
            the references to an object in another module so you have e.g.
                    augment "/policy:policies" +
                            "/policy:policy-entry" +
                            "/policy:classifier-entry" +
                            "/policy:classifier-action-entry-cfg" +
                            "/policy:action-cfg-params" +
                            "/diffserv:meter-inline" +
                            "/diffserv:meter-type" +
                            "/diffserv:one-rate-tri-color-meter-type" +
                            "/diffserv:one-rate-tri-color-meter" {
            instead of, perhaps,
              augment
            "/policies/policy-entry/classifier-entry/classifier-action-entry-cfg" +
                            "/action-cfg-params/meter-inline/meter-type" +
            
            "/one-rate-tri-color-meter-type/one-rate-tri-color-meter" {
            were they all to be in the same module.  This also applies to when
            statements.
            
            There is, unfortunately, in YANG no way of saying assume "policy:" until
            I say "diffserv:".  It is when third parties augment with custom
            features that it gets messier.  So, my personal view, is that separate
            modules needs justification, such as the expectation that they will
            evolve differently - but then that suggests that they should be in
            separate RFC!  I grant that classifying, metering, marking, etc are
            distinct pieces of technology but I am less convinced of the case for
            separate YANG modules.  Look, for example, at
            draft-ietf-isis-yang-isis-cfg
            to see a single module encompassing several aspects of one protocol.
            
            Tom Petch

            ----- Original Message -----
            From: "Aseem Choudhary (asechoud)" <[email-masked]>
            To: "tom petch" <[email-masked]>; "Jeff Tantsura"
            <[email-masked]>; "RTGWG" <[email-masked]>
            Cc: "Routing WG" <[email-masked]>
            Sent: Tuesday, December 04, 2018 10:17 PM

            > Hi Tom,
            >
            > Thanks for the comments.
            >
            > Please see some comments inline.
            >
            > Regards,
            > Aseem
            >
            > On 12/4/18, 3:09 AM, "rtgwg on behalf of tom petch"
            <[email-masked] on behalf of [email-masked]> wrote:
            >
            >     Viewed as a YANG module, there are a number of defects in this
            I-D.  I
            >     think that the flavour is well illustrated by:
            >
            >     - s.5 This document defines five YANG modules
            >     The Table of Contents lists seven
            >
            >     Copyright statements are all 2014.
            >
            >     revision date of  s.6.1  is 2016-03-03
            >
            > [AC] I thought it is for last modified date.
            >
            >     yang-version is a mixture of 1 and 1.1
            >
            > [AC] I am not sure it needs to be all 1 or 1.1
            >
            >     IANA gets no mention, not even a TBD.
            >
            >     No mention of NMDA
            >
            >     The modules are devoid of any YANG reference statements, either
            for
            >     import or for description.
            >
            >     No reference for Tree Diagrams.
            >
            >     No current reference for YANG itself or Interface Management
            >
            > [AC] I see below three YANG references. Am I missing something?
            >
            >    [RFC6020]  Bjorklund, M., Ed., "YANG - A Data Modeling Language for
            >               the Network Configuration Protocol (NETCONF)", RFC 6020,
            >               DOI 10.17487/RFC6020, October 2010,
            >               <https://www.rfc-editor.org/info/rfc6020>.
            >
            >    [RFC6991]  Schoenwaelder, J., Ed., "Common YANG Data Types",
            >               RFC 6991, DOI 10.17487/RFC6991, July 2013,
            >               <https://www.rfc-editor.org/info/rfc6991>.
            >
            >    [RFC7223]  Bjorklund, M., "A YANG Data Model for Interface
            >               Management", RFC 7223, DOI 10.17487/RFC7223, May 2014,
            >               <https://www.rfc-editor.org/info/rfc7223>.
            >
            >     The (unanswered) technical question is why have so many modules; I
            am a
            >     fan of separate modules for YANG types and YANG identities, since
            I see
            >     them as having a different evolution, but that is not done here;
            rather,
            >     the functionality is broken up, leading to more YANG prefixes,
            modules
            >     that are more complex. Why?
            >
            > [AC] These modules are basic building blocks for a QOS model. The
            functionality is logically broken into different modules.
            >          YANG types and identities defined are for the specific
            module. Not sure what you find complex here than it needs to be.
            >
            >     Tom Petch
            >
            >
            >     ----- Original Message -----
            >     From: "Jeff Tantsura" <[email-masked]>
            >     To: "RTGWG" <[email-masked]>
            >     Cc: "Routing WG" <[email-masked]>
            >     Sent: Saturday, December 01, 2018 2:30 AM
            >     Subject: WG adoption poll for draft-asechoud-rtgwg-qos-model-07
            >
            >
            >     > Dear RTGWG,
            >     >
            >     > The authors have requested RTGWG to adopt
            >     draft-asechoud-rtgwg-qos-model as the working group document.
            >     > The draft has received support during IETF101 meeting, authors
            have
            >     addressed all the comments received.
            >     >
            >     > Please indicate support or no-support by December 15, 2018.
            >     >
            >     > If you are listed as a document author or contributor please
            respond
            >     to this
            >     > email stating of whether or not you are aware of any relevant
            IPR.
            >     > The response needs to be sent to the RTGWG mailing list. The
            document
            >     will not
            >     > advance to the next stage until a response has been received
            from each
            >     > author and each individual that has contributed to the
            document..
            >     >
            >     > Cheers,
            >     > Jeff & Chris
            >     >
            >
            >
            >     ------------------------------------------------------------------
            ------
            >     --------
            >
            >
            >     > _______________________________________________
            >     > rtgwg mailing list
            >     > [email-masked]
            >     > https://www.ietf.org/mailman/listinfo/rtgwg
            >     >
            >
            >     _______________________________________________
            >     rtgwg mailing list
            >     [email-masked]
            >     https://www.ietf.org/mailman/listinfo/rtgwg
            >
            >
            >